5
votes
3answers
170 views

Develop on the lastest and greatest or stick with the well documented version?

Should I develop on the latest and greatest 1.7 version of Joomla or stick with the well documented version of 1.5? I'm new to Joomla (and webDev in general), so I bumble around, search online, and ...